@extends('qc::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js"
        integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ=="
        crossorigin="anonymous"></script>

    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3>Daily Quality Bag Inspection Check List</h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Form Page</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card mb-1">
                <div class="card-body">

                    <div class="row">
                        <div class="col-md-12 border">
                            <div class="row border-bottom bg-light" style="padding: 10px;">
                                <h6>Bag Inspection Check List Data</h6>
                            </div>
                            <div class="row mt-3">
                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Reference No</div>
                                        </div>
                                        <input type="text" class="form-control form-control-sm" id="reference_no"
                                            name="reference_no">
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Date</div>
                                        </div>
                                        <input type="date" class="form-control form-control-sm" id="date"
                                            name="date">
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Manufacturing Order
                                            </div>
                                        </div>
                                        <select id="customer_order_plan_data_id" name="customer_order_plan_data_id"
                                            class="form-control form-control-sm">
                                            <option>--Select Manufacturing Order No--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Factory</div>
                                        </div>
                                        <select id="factory" name="factory" class="form-control form-control-sm">
                                            <option>--Select Factory--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Shift</div>
                                        </div>
                                        <select id="shift" name="shift" class="form-control form-control-sm">
                                            <option>--Select Shift--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="input-group mb-2 mr-sm-2">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text form-control form-control-sm">Size Of Product
                                            </div>
                                        </div>
                                        <input type="text" class="form-control form-control-sm" id="size_of_product"
                                            name="size_of_product">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="table-responsive">
                                        <table class="table table-sm table-striped" id="tblData"></table>
                                    </div>
                                </div>
                            </div>
                            <button type="button" class="btn btn-primary" id="addRowBtn" onclick="addEmptyRow()">
                                <i class="fa fa-plus" aria-hidden="true"></i>
                            </button>
                            <hr>
                            <div class="row border">
                                <div class="col-md-12">
                                    <div class="row">
                                        <div class="col-md-12 mt-2 mb-2" style="text-align: right;">
                                            <button id="btnSave" class="btn btn-light form-control-sm">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="text-muted">
                <small>PRD - Printing Damage, UD - Unsealing Damage, SB - Seal Burning, BD - Bag Damages, PDHD - Plant/Drain
                    Hole Damage, RUD - Return Upside Down, PD - Production Damage, RE - Remarks</small>
            </div>
        </div>
        <div class="modal fade" id="remarkAddModal" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="remarkAddModalTitle">Add Remark Modal</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="ti-close"></i>
                        </button>
                    </div>
                    <div class="modal-body" id="remarkAddModalBody">
                        <div class="row">
                            <div class="col-md-12">
                                @csrf
                                <input type="hidden" id="remark_id" name="remark_id" value="">
                                <div class="form-group">
                                    <label for="remark" class="col-form-label">Remarks:</label>
                                    <textarea class="form-control" name="remark_text" id="remark_text" placeholder="Add Remark"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer p-0">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" onclick="getRemarks()">Add Remarks</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ Module::asset('qc:js/transaction_table.js') }}?random=<?php echo uniqid(); ?>"></script>
    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>z
    <script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('qc:js/daily_quality_bag_inspection.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
